import knex from 'knex';
import config from '../../../../knexfile';

export const testDb = knex(config.test);

beforeAll(async () => {
  // Run migrations
  await testDb.migrate.latest();
});

afterAll(async () => {
  // Close the database connection
  await testDb.destroy();
});