import { Knex } from 'knex';
import { Task, Step, Printer } from '@shared/index';
import { TestPrinter } from './test-printer';

// This will be replaced with a real printer implementation later
const printer: Printer = new TestPrinter();

export async function printTask(task: Task, db: Knex): Promise<void> {
  await printer.printTask(task, db);
}

export async function printStep(step: Step, db: Knex): Promise<void> {
  await printer.printStep(step, db);
}